package speiger.src.coreengine.platform.graphics.opengl.utils.states;

import org.lwjgl.opengl.GL11;

public class CullState extends GLState {

	public CullState() {
		super(GL11.GL_CULL_FACE, false);
	}
	
	@Override
	public GLState enable() {
		super.enable();
		GL11.glCullFace(GL11.GL_BACK);
		return this;
	}
	
	@Override
	public void reapply() {
		super.reapply();
		GL11.glCullFace(GL11.GL_BACK);
	}
}
